#! /bin/bash
TMPDIR=$(mktemp -u -p "$HOME" -d dotfiles.XXXXX) && \
	git clone --separate-git-dir="$HOME/.cfg" https://github.com/schtobia/dotfiles.git "$TMPDIR" && \
	[ -r "$TMPDIR/.gitmodules" ] && cp -vi "$TMPDIR/.gitmodules" "$HOME"
[ -d "$HOME/.cfg" ] && \
	git --git-dir="$HOME/.cfg/" --work-tree="$HOME" config status.showUntrackedFiles no && \
	(cd $HOME && \
		git --git-dir="$HOME/.cfg/" --work-tree="$HOME" checkout -- . && \
		git --git-dir="$HOME/.cfg/" --work-tree="$HOME" submodule update --init --remote --recursive --rebase)
rm -rf $TMPDIR

# vim related
pip install --user neovim && \
	npm install -g instant-markdown-d && \
	nvim +PluginInstall +qall && \
	(cd $HOME/.vim/bundle/YouCompleteMe && ./install.py --clang-completer --js-completer --system-libclang)
